Package ch.qos.logback.core.encoder

# Class EncoderBase<E>

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.encoder.EncoderBase<E>

All Implemented Interfaces:
  `Encoder<E>`, `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `EchoEncoder`, `LayoutWrappingEncoder`

public abstract class EncoderBase<E> extends ContextAwareBase implements Encoder<E>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`EncoderBase()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isStarted()`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Methods inherited from interface ch.qos.logback.core.encoder.Encoder

`encode, footerBytes, headerBytes`

## Field Details

### started

protected boolean started

## Constructor Details

### EncoderBase

public EncoderBase()

## Method Details

### isStarted

public boolean isStarted()

Specified by:
  `isStarted` in interface `LifeCycle`

### start

public void start()

Specified by:
  `start` in interface `LifeCycle`

### stop

public void stop()

Specified by:
  `stop` in interface `LifeCycle`